diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/log.cc ns-3.31/src/core/model/log.cc
--- ns-3.30.1/src/core/model/log.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/log.cc	2020-06-27 17:38:30.000000000 -0700
@@ -27,13 +27,8 @@
 #include "ns3/core-config.h"
 #include "fatal-error.h"
 
-#ifdef HAVE_GETENV
-#include <cstring>
-#endif
-
-#ifdef HAVE_STDLIB_H
-#include <cstdlib>
-#endif
+#include <cstdlib>    // getenv
+#include <cstring>    // strlen
 
 /**
  * \file
@@ -74,7 +69,7 @@
  */
 static PrintList g_printList;
 
-  
+
 /* static */
 LogComponent::ComponentList *
 LogComponent::GetComponentList (void)
@@ -86,9 +81,8 @@
 
 PrintList::PrintList ()
 {
-#ifdef HAVE_GETENV
-  char *envVar = getenv ("NS_LOG");
-  if (envVar == 0)
+  const char *envVar = std::getenv ("NS_LOG");
+  if (envVar == 0 || std::strlen (envVar) == 0)
     {
       return;
     }
@@ -98,7 +92,7 @@
   while (next != std::string::npos)
     {
       next = env.find_first_of (":", cur);
-      std::string tmp = std::string (env, cur, next-cur);
+      std::string tmp = std::string (env, cur, next - cur);
       if (tmp == "print-list")
         {
           LogComponentPrintList ();
@@ -107,7 +101,6 @@
         }
       cur = next + 1;
     }
-#endif
 }
 
 
@@ -125,7 +118,7 @@
     {
       if (i->first == name)
         {
-          NS_FATAL_ERROR ("Log component \""<<name<<"\" has already been registered once.");
+          NS_FATAL_ERROR ("Log component \"" << name << "\" has already been registered once.");
         }
     }
   components->insert (std::make_pair (name, this));
@@ -151,9 +144,8 @@
 void
 LogComponent::EnvVarCheck (void)
 {
-#ifdef HAVE_GETENV
-  char *envVar = getenv ("NS_LOG");
-  if (envVar == 0)
+  const char *envVar = std::getenv ("NS_LOG");
+  if (envVar == 0 || std::strlen (envVar) == 0)
     {
       return;
     }
@@ -164,7 +156,7 @@
   while (next != std::string::npos)
     {
       next = env.find_first_of (":", cur);
-      std::string tmp = std::string (env, cur, next-cur);
+      std::string tmp = std::string (env, cur, next - cur);
       std::string::size_type equal = tmp.find ("=");
       std::string component;
       if (equal == std::string::npos)
@@ -235,8 +227,8 @@
                     {
                       level |= LOG_PREFIX_LEVEL;
                     }
-                  else if ( (lev == "prefix_all") ||
-                            (!pre_pipe && ( (lev == "all") || (lev == "*") ) )
+                  else if ( (lev == "prefix_all")
+                            || (!pre_pipe && ( (lev == "all") || (lev == "*") ) )
                             )
                     {
                       level |= LOG_PREFIX_ALL;
@@ -275,18 +267,18 @@
                     }
 
                   pre_pipe = false;
-                } while (next_lev != std::string::npos);
+                }
+              while (next_lev != std::string::npos);
 
               Enable ((enum LogLevel)level);
             }
         }
       cur = next + 1;
     }
-#endif
 }
 
 
-bool 
+bool
 LogComponent::IsEnabled (const enum LogLevel level) const
 {
   //  LogComponentEnableEnvVar ();
@@ -305,13 +297,13 @@
   m_mask |= level;
 }
 
-void 
+void
 LogComponent::Enable (const enum LogLevel level)
 {
   m_levels |= (level & ~m_mask);
 }
 
-void 
+void
 LogComponent::Disable (const enum LogLevel level)
 {
   m_levels &= ~level;
@@ -331,7 +323,7 @@
 
 /* static */
 std::string
-LogComponent::GetLevelLabel(const enum LogLevel level)
+LogComponent::GetLevelLabel (const enum LogLevel level)
 {
   if (level == LOG_ERROR)
     {
@@ -365,31 +357,31 @@
     }
 }
 
-void 
+void
 LogComponentEnable (char const *name, enum LogLevel level)
 {
   LogComponent::ComponentList *components = LogComponent::GetComponentList ();
   LogComponent::ComponentList::const_iterator i;
-  for (i = components->begin (); 
-       i != components->end (); 
+  for (i = components->begin ();
+       i != components->end ();
        i++)
     {
-      if (i->first.compare (name) == 0) 
+      if (i->first.compare (name) == 0)
         {
           i->second->Enable (level);
           return;
         }
     }
-    if (i == components->end())
-      {
-	// nothing matched
-        LogComponentPrintList();
-        NS_FATAL_ERROR ("Logging component \"" << name <<
-                        "\" not found. See above for a list of available log components");
+  if (i == components->end ())
+    {
+      // nothing matched
+      LogComponentPrintList ();
+      NS_FATAL_ERROR ("Logging component \"" << name <<
+                      "\" not found. See above for a list of available log components");
     }
 }
 
-void 
+void
 LogComponentEnableAll (enum LogLevel level)
 {
   LogComponent::ComponentList *components = LogComponent::GetComponentList ();
@@ -401,7 +393,7 @@
     }
 }
 
-void 
+void
 LogComponentDisable (char const *name, enum LogLevel level)
 {
   LogComponent::ComponentList *components = LogComponent::GetComponentList ();
@@ -409,7 +401,7 @@
        i != components->end ();
        i++)
     {
-      if (i->first.compare (name) == 0) 
+      if (i->first.compare (name) == 0)
         {
           i->second->Disable (level);
           break;
@@ -417,7 +409,7 @@
     }
 }
 
-void 
+void
 LogComponentDisableAll (enum LogLevel level)
 {
   LogComponent::ComponentList *components = LogComponent::GetComponentList ();
@@ -429,7 +421,7 @@
     }
 }
 
-void 
+void
 LogComponentPrintList (void)
 {
   LogComponent::ComponentList *components = LogComponent::GetComponentList ();
@@ -509,23 +501,23 @@
  * \param [in] componentName The putative log component name.
  * \returns \c true if \c componentName exists.
  */
-static bool ComponentExists(std::string componentName) 
+static bool ComponentExists (std::string componentName)
 {
-  char const*name=componentName.c_str();
+  char const*name = componentName.c_str ();
   LogComponent::ComponentList *components = LogComponent::GetComponentList ();
   LogComponent::ComponentList::const_iterator i;
   for (i = components->begin ();
        i != components->end ();
        i++)
-     {
-       if (i->first.compare (name) == 0) 
- 	{
-	  return true;
- 	}
-    }
-  NS_ASSERT (i == components->end());
-  // nothing matched 
-  return false;    
+    {
+      if (i->first.compare (name) == 0)
+        {
+          return true;
+        }
+    }
+  NS_ASSERT (i == components->end ());
+  // nothing matched
+  return false;
 }
 
 /**
@@ -535,42 +527,41 @@
  */
 static void CheckEnvironmentVariables (void)
 {
-#ifdef HAVE_GETENV
-  char *envVar = getenv ("NS_LOG");
-  if (envVar == 0 || std::strlen(envVar) == 0)
+  const char *envVar = std::getenv ("NS_LOG");
+  if (envVar == 0 || std::strlen (envVar) == 0)
     {
       return;
     }
-  std::string env = envVar;
 
+  std::string env = envVar;
   std::string::size_type cur = 0;
   std::string::size_type next = 0;
-  
+
   while (next != std::string::npos)
     {
       next = env.find_first_of (":", cur);
-      std::string tmp = std::string (env, cur, next-cur);
+      std::string tmp = std::string (env, cur, next - cur);
       std::string::size_type equal = tmp.find ("=");
       std::string component;
       if (equal == std::string::npos)
         {
-          // ie no '=' characters found 
+          // ie no '=' characters found
           component = tmp;
-          if (ComponentExists(component) || component == "*" || component == "***")
+          if (ComponentExists (component) || component == "*" || component == "***")
             {
               return;
             }
-	  else 
+          else
             {
-	      LogComponentPrintList();
-              NS_FATAL_ERROR("Invalid or unregistered component name \"" << component <<
-                             "\" in env variable NS_LOG, see above for a list of valid components");
+              LogComponentPrintList ();
+              NS_FATAL_ERROR ("Invalid or unregistered component name \"" << component <<
+                              "\" in env variable NS_LOG, see above for a list of valid components");
             }
         }
       else
         {
           component = tmp.substr (0, equal);
-          if (ComponentExists(component) || component == "*")
+          if (ComponentExists (component) || component == "*")
             {
               std::string::size_type cur_lev;
               std::string::size_type next_lev = equal;
@@ -604,27 +595,27 @@
                       || lev == "level_all"
                       || lev == "*"
                       || lev == "**"
-		     )
+                      )
                     {
                       continue;
                     }
-		  else
+                  else
                     {
-                      NS_FATAL_ERROR("Invalid log level \"" << lev <<
-                                     "\" in env variable NS_LOG for component name " << component);
+                      NS_FATAL_ERROR ("Invalid log level \"" << lev <<
+                                      "\" in env variable NS_LOG for component name " << component);
                     }
-                } while (next_lev != std::string::npos);
+                }
+              while (next_lev != std::string::npos);
             }
-          else 
+          else
             {
-              LogComponentPrintList();
-              NS_FATAL_ERROR("Invalid or unregistered component name \"" << component <<
-                             "\" in env variable NS_LOG, see above for a list of valid components");
+              LogComponentPrintList ();
+              NS_FATAL_ERROR ("Invalid or unregistered component name \"" << component <<
+                              "\" in env variable NS_LOG, see above for a list of valid components");
             }
         }
-      cur = next + 1;	// parse next component
+      cur = next + 1;   // parse next component
     }
-#endif
 }
 void LogSetTimePrinter (TimePrinter printer)
 {
@@ -633,7 +624,7 @@
    *  This is the only place where we are more or less sure that all log variables
    * are registered. See \bugid{1082} for details.
    */
-  CheckEnvironmentVariables(); 
+  CheckEnvironmentVariables ();
 }
 TimePrinter LogGetTimePrinter (void)
 {
@@ -653,12 +644,11 @@
 ParameterLogger::ParameterLogger (std::ostream &os)
   : m_first (true),
     m_os (os)
-{
-}
+{}
 
 template<>
-ParameterLogger&
-ParameterLogger::operator<< <std::string>(const std::string param)
+ParameterLogger &
+ParameterLogger::operator<< <std::string> (const std::string param)
 {
   if (m_first)
     {
@@ -673,42 +663,42 @@
 }
 
 template<>
-ParameterLogger&
-ParameterLogger::operator<< <const char *>(const char * param)
+ParameterLogger &
+ParameterLogger::operator<< <const char *> (const char * param)
 {
   (*this) << std::string (param);
   return *this;
 }
 
 template<>
-ParameterLogger&
-ParameterLogger::operator<< <int8_t>(const int8_t param)
+ParameterLogger &
+ParameterLogger::operator<< <int8_t> (const int8_t param)
 {
   if (m_first)
-  {
-    m_os << static_cast<int16_t> (param);
-    m_first = false;
-  }
+    {
+      m_os << static_cast<int16_t> (param);
+      m_first = false;
+    }
   else
-  {
-    m_os << ", " << static_cast<int16_t> (param);
-  }
+    {
+      m_os << ", " << static_cast<int16_t> (param);
+    }
   return *this;
 }
 
 template<>
-ParameterLogger&
-ParameterLogger::operator<< <uint8_t>(const uint8_t param)
+ParameterLogger &
+ParameterLogger::operator<< <uint8_t> (const uint8_t param)
 {
   if (m_first)
-  {
-    m_os << static_cast<uint16_t> (param);
-    m_first = false;
-  }
+    {
+      m_os << static_cast<uint16_t> (param);
+      m_first = false;
+    }
   else
-  {
-    m_os << ", " << static_cast<uint16_t> (param);
-  }
+    {
+      m_os << ", " << static_cast<uint16_t> (param);
+    }
   return *this;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/log.h ns-3.31/src/core/model/log.h
--- ns-3.30.1/src/core/model/log.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/log.h	2020-06-27 17:38:30.000000000 -0700
@@ -47,9 +47,9 @@
  * LOG functionality: macros which allow developers to
  * send information to the \c std::clog output stream.
  *
- * All logging messages are disabled by default. To enable selected logging 
+ * All logging messages are disabled by default. To enable selected logging
  * messages, use the ns3::LogComponentEnable
- * function or use the NS_LOG environment variable 
+ * function or use the NS_LOG environment variable
  *
  * Use the environment variable NS_LOG to define a ':'-separated list of
  * logging components to enable. For example (using bash syntax),
@@ -90,7 +90,8 @@
 /**
  *  Logging severity classes and levels.
  */
-enum LogLevel {
+enum LogLevel
+{
   LOG_NONE           = 0x00000000, //!< No logging.
 
   LOG_ERROR          = 0x00000001, //!< Serious error messages only.
@@ -171,10 +172,10 @@
 /**
  * Define a Log component with a specific name.
  *
- * This macro should be used at the top of every file in which you want 
+ * This macro should be used at the top of every file in which you want
  * to use the NS_LOG macro. This macro defines a new
  * "log component" which can be later selectively enabled
- * or disabled with the ns3::LogComponentEnable and 
+ * or disabled with the ns3::LogComponentEnable and
  * ns3::LogComponentDisable functions or with the NS_LOG
  * environment variable.
  *
@@ -246,7 +247,7 @@
  * \param [in] name The log component name.
  */
 #define NS_LOG_STATIC_TEMPLATE_DEFINE(name) \
-    static LogComponent & NS_UNUSED_GLOBAL (g_log) = GetLogComponent (name)
+  static LogComponent & NS_UNUSED_GLOBAL (g_log) = GetLogComponent (name)
 
 /**
  * Use \ref NS_LOG to output a message of level LOG_ERROR.
@@ -377,7 +378,7 @@
    *
    * \return The name of this LogComponent.
    */
-  char const *Name (void) const;
+  char const * Name (void) const;
   /**
    * Get the compilation unit defining this LogComponent.
    * \returns The file name.
@@ -389,7 +390,7 @@
    * \param [in] level The LogLevel to get the label for.
    * \return The string label for \c level.
    */
-  static std::string GetLevelLabel(const enum LogLevel level);
+  static std::string GetLevelLabel (const enum LogLevel level);
   /**
    * Prevent the enabling of a specific LogLevel.
    *
@@ -417,16 +418,15 @@
    *
    * \returns The list of LogComponents.
    */
-  static ComponentList *GetComponentList (void);
+  static ComponentList * GetComponentList (void);
 
-  
 private:
   /**
    * Parse the `NS_LOG` environment variable for options relating to this
    * LogComponent.
    */
   void EnvVarCheck (void);
-  
+
   int32_t     m_levels;  //!< Enabled LogLevels.
   int32_t     m_mask;    //!< Blocked LogLevels.
   std::string m_name;    //!< LogComponent name.
@@ -449,6 +449,7 @@
 {
   bool m_first;        //!< First argument flag, doesn't get `, `.
   std::ostream &m_os;  //!< Underlying output stream.
+
 public:
   /**
    * Constructor.
@@ -511,26 +512,26 @@
  * \return This ParameterLogger, so it's chainable.
  */
 template<>
-ParameterLogger&
-ParameterLogger::operator<< <std::string>(const std::string param);
-  
+ParameterLogger &
+ParameterLogger::operator<< <std::string> (const std::string param);
+
 /**
  * Specialization for C-strings.
  * \param [in] param The function parameter.
  * \return This ParameterLogger, so it's chainable.
  */
 template<>
-ParameterLogger&
-ParameterLogger::operator<< <const char *>(const char * param);
-  
+ParameterLogger &
+ParameterLogger::operator<< <const char *> (const char * param);
+
 /**
  * Specialization for int8_t.
  * \param [in] param The function parameter.
  * \return This ParameterLogger, so it's chainable.
  */
 template<>
-ParameterLogger&
-  ParameterLogger::operator<< <int8_t>(int8_t param);
+ParameterLogger &
+ParameterLogger::operator<< <int8_t> (int8_t param);
 
 /**
  * Specialization for uint8_t.
@@ -538,8 +539,8 @@
  * \return This ParameterLogger, so it's chainable.
  */
 template<>
-ParameterLogger&
-  ParameterLogger::operator<< <uint8_t>(uint8_t param);
+ParameterLogger &
+ParameterLogger::operator<< <uint8_t> (uint8_t param);
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/log-macros-disabled.h ns-3.31/src/core/model/log-macros-disabled.h
--- ns-3.30.1/src/core/model/log-macros-disabled.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/log-macros-disabled.h	2020-06-27 17:38:30.000000000 -0700
@@ -35,7 +35,7 @@
   std::clog << msg
   This expression is required for forms like NS_LOG_LOGIC (... << std::endl ...)
 
-  
+
   ns3::ParameterLogger (std::clog) << msg
   This expression is required for NS_LOG_FUNCTION (... << vector ...)
 
@@ -45,7 +45,7 @@
     note: in expansion of macro NS_LOG_LOGIC (std::endl...
     error: no match for operator<< (operand types are ns3::ParameterLogger
     and <unresolved overloaded function type>)
-    
+
     note: candidate: template<class T> ns3::ParameterLogger&
       ns3::ParameterLogger::operator<<(T)
     note:   template argument deduction/substitution failed
@@ -63,16 +63,14 @@
  * \ingroup logging
  * Empty logging macro implementation, used when logging is disabled.
  */
-#define NS_LOG_NOOP_INTERNAL(msg)               \
-  do                                            \
-    if (false)                                  \
-    {                                           \
-      std::clog << msg;                         \
-    }                                           \
-  while (false)
+#define NS_LOG_NOOP_INTERNAL(msg)                \
+  do if (false)                                  \
+    {                                            \
+      std::clog << msg;                          \
+    }  while (false)
 
 #define NS_LOG(level, msg) \
-        NS_LOG_NOOP_INTERNAL (msg)
+  NS_LOG_NOOP_INTERNAL (msg)
 
 #define NS_LOG_FUNCTION_NOARGS()
 
@@ -80,19 +78,17 @@
  * \ingroup logging
  * Empty logging macro implementation, used when logging is disabled.
  */
-#define NS_LOG_NOOP_FUNC_INTERNAL(msg)          \
-  do                                            \
-    if (false)                                  \
-    {                                           \
-      ns3::ParameterLogger (std::clog) << msg;  \
-    }                                           \
-  while (false)
+#define NS_LOG_NOOP_FUNC_INTERNAL(msg)           \
+  do if (false)                                  \
+    {                                            \
+      ns3::ParameterLogger (std::clog) << msg;   \
+    } while (false)
 
 #define NS_LOG_FUNCTION(parameters) \
-        NS_LOG_NOOP_FUNC_INTERNAL (parameters)
+  NS_LOG_NOOP_FUNC_INTERNAL (parameters)
 
 #define NS_LOG_UNCOND(msg) \
-        NS_LOG_NOOP_INTERNAL (msg)
+  NS_LOG_NOOP_INTERNAL (msg)
 
 
 #endif /* !NS3_LOG_ENABLE */
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/log-macros-enabled.h ns-3.31/src/core/model/log-macros-enabled.h
--- ns-3.30.1/src/core/model/log-macros-enabled.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/log-macros-enabled.h	2020-06-27 17:38:30.000000000 -0700
@@ -73,8 +73,8 @@
 #define NS_LOG_APPEND_FUNC_PREFIX                               \
   if (g_log.IsEnabled (ns3::LOG_PREFIX_FUNC))                   \
     {                                                           \
-      std::clog << g_log.Name () << ":" <<                      \
-      __FUNCTION__ << "(): ";                                   \
+      std::clog << g_log.Name () << ":"                         \
+                << __FUNCTION__ << "(): ";                      \
     }                                                           \
 
 /**
@@ -151,8 +151,7 @@
  */
 #define NS_LOG(level, msg)                                      \
   NS_LOG_CONDITION                                              \
-  do                                                            \
-    {                                                           \
+  do {                                                          \
       if (g_log.IsEnabled (level))                              \
         {                                                       \
           NS_LOG_APPEND_TIME_PREFIX;                            \
@@ -162,8 +161,7 @@
           NS_LOG_APPEND_LEVEL_PREFIX (level);                   \
           std::clog << msg << std::endl;                        \
         }                                                       \
-    }                                                           \
-  while (false)
+    } while (false)
 
 /**
  * \ingroup logging
@@ -175,8 +173,7 @@
  */
 #define NS_LOG_FUNCTION_NOARGS()                                \
   NS_LOG_CONDITION                                              \
-  do                                                            \
-    {                                                           \
+  do {                                                          \
       if (g_log.IsEnabled (ns3::LOG_FUNCTION))                  \
         {                                                       \
           NS_LOG_APPEND_TIME_PREFIX;                            \
@@ -185,8 +182,7 @@
           std::clog << g_log.Name () << ":"                     \
                     << __FUNCTION__ << "()" << std::endl;       \
         }                                                       \
-    }                                                           \
-  while (false)
+    } while (false)
 
 
 /**
@@ -236,12 +232,10 @@
  * \param [in] msg The message to log
  */
 #define NS_LOG_UNCOND(msg)              \
-  NS_LOG_CONDITION                                              \
-  do                                    \
-    {                                   \
+  NS_LOG_CONDITION                      \
+  do {                                  \
       std::clog << msg << std::endl;    \
-    }                                   \
-  while (false)
+    } while (false)
 
 
 #endif /* NS3_LOG_ENABLE */
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/make-event.cc ns-3.31/src/core/model/make-event.cc
--- ns-3.30.1/src/core/model/make-event.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/make-event.cc	2020-06-27 17:38:30.000000000 -0700
@@ -37,22 +37,22 @@
   // zero arg version
   class EventFunctionImpl0 : public EventImpl
   {
-public:
+  public:
     typedef void (*F)(void);
 
     EventFunctionImpl0 (F function)
       : m_function (function)
-    {
-    }
+    {}
     virtual ~EventFunctionImpl0 ()
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual void Notify (void)
     {
       (*m_function)();
     }
-private:
+
+  private:
     F m_function;
   } *ev = new EventFunctionImpl0 (f);
   return ev;
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/make-event.h ns-3.31/src/core/model/make-event.h
--- ns-3.30.1/src/core/model/make-event.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/make-event.h	2020-06-27 17:38:30.000000000 -0700
@@ -171,7 +171,7 @@
                        T1 a1, T2 a2, T3 a3, T4 a4, T5 a5, T6 a6);
 
 /**@}*/
-  
+
 /**
  * \ingroup events
  * \defgroup makeeventfnptr MakeEvent from Function Pointers.
@@ -349,7 +349,7 @@
    * \param [in] p Object pointer.
    * \return A reference to the object pointed to by p.
    */
-  static T &GetReference (T *p)
+  static T & GetReference (T *p)
   {
     return *p;
   }
@@ -361,16 +361,15 @@
   // zero argument version
   class EventMemberImpl0 : public EventImpl
   {
-public:
+  public:
     EventMemberImpl0 (OBJ obj, MEM function)
       : m_obj (obj),
         m_function (function)
-    {
-    }
+    {}
     virtual ~EventMemberImpl0 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (EventMemberImplObjTraits<OBJ>::GetReference (m_obj).*m_function)();
@@ -389,18 +388,18 @@
   // one argument version
   class EventMemberImpl1 : public EventImpl
   {
-public:
+  public:
     EventMemberImpl1 (OBJ obj, MEM function, T1 a1)
       : m_obj (obj),
         m_function (function),
         m_a1 (a1)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventMemberImpl1 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (EventMemberImplObjTraits<OBJ>::GetReference (m_obj).*m_function)(m_a1);
@@ -419,19 +418,19 @@
   // two argument version
   class EventMemberImpl2 : public EventImpl
   {
-public:
+  public:
     EventMemberImpl2 (OBJ obj, MEM function, T1 a1, T2 a2)
       : m_obj (obj),
         m_function (function),
         m_a1 (a1),
         m_a2 (a2)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventMemberImpl2 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (EventMemberImplObjTraits<OBJ>::GetReference (m_obj).*m_function)(m_a1, m_a2);
@@ -451,20 +450,20 @@
   // three argument version
   class EventMemberImpl3 : public EventImpl
   {
-public:
+  public:
     EventMemberImpl3 (OBJ obj, MEM function, T1 a1, T2 a2, T3 a3)
       : m_obj (obj),
         m_function (function),
         m_a1 (a1),
         m_a2 (a2),
         m_a3 (a3)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventMemberImpl3 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (EventMemberImplObjTraits<OBJ>::GetReference (m_obj).*m_function)(m_a1, m_a2, m_a3);
@@ -485,7 +484,7 @@
   // four argument version
   class EventMemberImpl4 : public EventImpl
   {
-public:
+  public:
     EventMemberImpl4 (OBJ obj, MEM function, T1 a1, T2 a2, T3 a3, T4 a4)
       : m_obj (obj),
         m_function (function),
@@ -493,13 +492,13 @@
         m_a2 (a2),
         m_a3 (a3),
         m_a4 (a4)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventMemberImpl4 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (EventMemberImplObjTraits<OBJ>::GetReference (m_obj).*m_function)(m_a1, m_a2, m_a3, m_a4);
@@ -522,7 +521,7 @@
   // five argument version
   class EventMemberImpl5 : public EventImpl
   {
-public:
+  public:
     EventMemberImpl5 (OBJ obj, MEM function, T1 a1, T2 a2, T3 a3, T4 a4, T5 a5)
       : m_obj (obj),
         m_function (function),
@@ -531,13 +530,13 @@
         m_a3 (a3),
         m_a4 (a4),
         m_a5 (a5)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventMemberImpl5 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (EventMemberImplObjTraits<OBJ>::GetReference (m_obj).*m_function)(m_a1, m_a2, m_a3, m_a4, m_a5);
@@ -561,7 +560,7 @@
   // six argument version
   class EventMemberImpl6 : public EventImpl
   {
-public:
+  public:
     EventMemberImpl6 (OBJ obj, MEM function, T1 a1, T2 a2, T3 a3, T4 a4, T5 a5, T6 a6)
       : m_obj (obj),
         m_function (function),
@@ -571,13 +570,13 @@
         m_a4 (a4),
         m_a5 (a5),
         m_a6 (a6)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventMemberImpl6 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (EventMemberImplObjTraits<OBJ>::GetReference (m_obj).*m_function)(m_a1, m_a2, m_a3, m_a4, m_a5, m_a6);
@@ -600,19 +599,19 @@
   // one arg version
   class EventFunctionImpl1 : public EventImpl
   {
-public:
+  public:
     typedef void (*F)(U1);
 
     EventFunctionImpl1 (F function, T1 a1)
       : m_function (function),
         m_a1 (a1)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventFunctionImpl1 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (*m_function)(m_a1);
@@ -629,20 +628,20 @@
   // two arg version
   class EventFunctionImpl2 : public EventImpl
   {
-public:
+  public:
     typedef void (*F)(U1, U2);
 
     EventFunctionImpl2 (F function, T1 a1, T2 a2)
       : m_function (function),
         m_a1 (a1),
         m_a2 (a2)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventFunctionImpl2 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (*m_function)(m_a1, m_a2);
@@ -661,7 +660,7 @@
   // three arg version
   class EventFunctionImpl3 : public EventImpl
   {
-public:
+  public:
     typedef void (*F)(U1, U2, U3);
 
     EventFunctionImpl3 (F function, T1 a1, T2 a2, T3 a3)
@@ -669,13 +668,13 @@
         m_a1 (a1),
         m_a2 (a2),
         m_a3 (a3)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventFunctionImpl3 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (*m_function)(m_a1, m_a2, m_a3);
@@ -695,7 +694,7 @@
   // four arg version
   class EventFunctionImpl4 : public EventImpl
   {
-public:
+  public:
     typedef void (*F)(U1, U2, U3, U4);
 
     EventFunctionImpl4 (F function, T1 a1, T2 a2, T3 a3, T4 a4)
@@ -704,13 +703,13 @@
         m_a2 (a2),
         m_a3 (a3),
         m_a4 (a4)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventFunctionImpl4 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (*m_function)(m_a1, m_a2, m_a3, m_a4);
@@ -731,7 +730,7 @@
   // five arg version
   class EventFunctionImpl5 : public EventImpl
   {
-public:
+  public:
     typedef void (*F)(U1,U2,U3,U4,U5);
 
     EventFunctionImpl5 (F function, T1 a1, T2 a2, T3 a3, T4 a4, T5 a5)
@@ -741,13 +740,13 @@
         m_a3 (a3),
         m_a4 (a4),
         m_a5 (a5)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventFunctionImpl5 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (*m_function)(m_a1, m_a2, m_a3, m_a4, m_a5);
@@ -769,7 +768,7 @@
   // six arg version
   class EventFunctionImpl6 : public EventImpl
   {
-public:
+  public:
     typedef void (*F)(U1,U2,U3,U4,U5,U6);
 
     EventFunctionImpl6 (F function, T1 a1, T2 a2, T3 a3, T4 a4, T5 a5, T6 a6)
@@ -780,13 +779,13 @@
         m_a4 (a4),
         m_a5 (a5),
         m_a6 (a6)
-    {
-    }
-protected:
+    {}
+
+  protected:
     virtual ~EventFunctionImpl6 ()
-    {
-    }
-private:
+    {}
+
+  private:
     virtual void Notify (void)
     {
       (*m_function)(m_a1, m_a2, m_a3, m_a4, m_a5, m_a6);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/map-scheduler.h ns-3.31/src/core/model/map-scheduler.h
--- ns-3.30.1/src/core/model/map-scheduler.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/map-scheduler.h	2020-06-27 17:38:30.000000000 -0700
@@ -40,6 +40,24 @@
  *
  * This class implements the an event scheduler using an std::map
  * data structure.
+ *
+ * \par Time Complexity
+ *
+ * Operation    | Amortized %Time | Reason
+ * :----------- | :-------------- | :-----
+ * Insert()     | Logarithmic     | `std::map::insert()`
+ * IsEmpty()    | Constant        | `std::map::empty()`
+ * PeekNext()   | Constant        | `std::map::begin()`
+ * Remove()     | Logarithmic     | `std::map::find()`
+ * RemoveNext() | Constant        | `std::map::begin()`
+ *
+ * \par Memory Complexity
+ *
+ * Category  | Memory                           | Reason
+ * :-------- | :------------------------------- | :-----
+ * Overhead  | 3 x `sizeof (*)` + 2 x `size_t`<br/>(40 bytes) | red-black tree
+ * Per Event | 3 x `sizeof (*)` + `int`<br/>(32 bytes)        | red-black tree
+ *
  */
 class MapScheduler : public Scheduler
 {
